Puppet-foreman 11.0.0 and Foreman <= 1.20


#1

Normally we don’t announce individual Puppet modules but this one has a larger change. This is relevant if you’re directly using the Puppet module with Foreman 1.20 and older.

Starting puppet-foreman 11.0.0 we assume the Foreman defaults for login, locations_enabled and organizations_enabled. The built in defaults for Foreman 1.20 and older are different from what the module used to have.

If you’re not paying attention you will disable authentication and enable organizations and locations. I’m updating the README and changelog to clarify this: